#
# spec file for package liburing
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           liburing
%define so_ver  1
%define lname   %{name}%{so_ver}
Version:        0.6
Release:        2.1
Summary:        Linux-native io_uring I/O access library
License:        (GPL-2.0-only AND LGPL-2.1-or-later) OR MIT
Group:          Development/Libraries/C and C++
URL:            https://git.kernel.dk/cgit/liburing
Source:         https://git.kernel.dk/cgit/liburing/snapshot/%{name}-%{version}.tar.gz
Requires:       kernel-default >= 5.1
BuildRequires:  gcc
BuildRequires:  pkg-config

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %{lname}
Summary:        Linux-native io_uring I/O access library
Group:          Development/Libraries/C and C++

%description -n %{lname}
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package devel
Summary:        Development files for Linux-native io_uring I/O access library
Group:          Development/Libraries/C and C++
Requires:       %{name}%{so_ver} = %{version}
Requires:       pkgconfig

%description devel
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%setup -n %name-%version

%build
./configure --prefix=%{_prefix} \
            --includedir=%{_includedir} \
            --libdir=/%{_libdir} \
            --libdevdir=/%{_libdir} \
            --mandir=%{_mandir} \
            --datadir=%{_datadir}
%make_build -C src

%install
%make_install
rm %{buildroot}%{_libdir}/%{name}.a

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%{_libdir}/liburing.so.*
%license COPYING COPYING.GPL LICENSE

%files devel
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%{_libdir}/pkgconfig/*
%{_mandir}/man2/*
%doc README

%changelog
* Sat Mar 13 2021 dmueller@suse.com
- skip building the tests that are neither installed nor run
  as they fail to build on 32bit platforms (like e.g. armv7l) (bsc#1181571)
* Fri Oct 30 2020 milsav92@outlook.com
  !!IMPORTANT!!
  Version 0.7 BREAKS ABI COMPATIBILITY WITHOUT CHANGING THE SONAME!!!
  https://github.com/axboe/liburing/issues/228
  SONAME is bumped to 2 in commit 25bbcbef3e0a8bfba8044be55d08d5116c51dccd
  im master branch.
  !!!IMPORTANT!!!
- Update to version 0.6
  - removed barrier.h-add-generic-smp_mb-implementation.patch since
    it was merged in commit ba97eaf8f9ef2030d581be10df9d875dbfadc91d
- License changed to match upstream
* Thu Dec 12 2019 jthumshirn@suse.com
- Fix builds on ppc64le and s390x (bsc#1159055)
  + barrier.h-add-generic-smp_mb-implementation.patch
* Wed Nov 27 2019 jthumshirn@suse.com
- Initial packaging for openSUSE (jsc#SLE-7494)
